using Utility;
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface;
#if !COMBAT_SERVER
using UnityEngine;
#endif

public class SpecialDotInfo
{
    public string dotName;
    public ITimeLineSpecialDotPos heroEntity;

    public Transform targetTran;
    
    public void Dis()
    {
        heroEntity = null;
    }

    public void Init(ITimeLineSpecialDotPos heroEntity)
    {
        this.heroEntity = heroEntity;
    }


    public Vector3 GetWorlPos()
    {
        return GetWorlPos(new Vector3());
    }

    public Vector3 GeRotPos()
    {
        // GetTransformInfo().
        return GetWorlPos(new Vector3());
    }

    public Vector3 GetEulerAngles()
    {
        {
            Vector3 dir = heroEntity.faceDir;
            if (dir.x > 0)
            {
                return new Vector3(0, 0);
            }
            else
            {
                return new Vector3(0, -180);
            }
        }
    }

    public Vector3 GetWorlPos(Vector3 pos)
    {
        return targetTran.position;
    }
}